package com.inkasso.factoring.financingmanagement.entity.vo;

import com.inkasso.factoring.financingmanagement.entity.ContractElectronicCustomerInfo;

import java.util.List;

/**
 * @author liutao
 * @date 2022-08-09
 */
public class ContractElectronicVo {

    private String name;

    private String contractLink;

    private Boolean authStatus;

    private String authUrl;

    private Long sysCustomerId;

    /**
     * 类型 1-供应商、2-贸易平台、3-保证人
     */
    private Integer type;

    private List<ContractElectronicCustomerInfo> contractElectronicCustomerInfos;

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public Long getSysCustomerId() {
        return sysCustomerId;
    }

    public void setSysCustomerId(Long sysCustomerId) {
        this.sysCustomerId = sysCustomerId;
    }

    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }

    public Boolean getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Boolean authStatus) {
        this.authStatus = authStatus;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<ContractElectronicCustomerInfo> getContractElectronicCustomerInfos() {
        return contractElectronicCustomerInfos;
    }

    public void setContractElectronicCustomerInfos(List<ContractElectronicCustomerInfo> contractElectronicCustomerInfos) {
        this.contractElectronicCustomerInfos = contractElectronicCustomerInfos;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
